<template>
  <v-list-item :text="message.what" :img-src="avatar">
    <p color="grey">{{ time }}</p>
  </v-list-item>
</template>

<script setup lang="ts">
import { PropType } from "vue";
import { MessageType } from "../data/models/MessageType";

const props = defineProps({
  message: {
    type: Object as PropType<MessageType>,
    required: true,
  },
});

const avatar = `https://avatars.dicebear.com/api/initials/${props.message.who}.svg`;

const time = new Date(props.message.when).toLocaleTimeString();
</script>
